/*
// $Id: //guest/julian_hyde/mondrian/src/main/mondrian/olap/ConnectionBase.java#1 $
// This software is subject to the terms of the Common Public License
// Agreement, available at the following URL:
// http://www.opensource.org/licenses/cpl.html.
// (C) Copyright 2001-2002 Kana Software, Inc. and others.
// All Rights Reserved.
// You must accept the terms of that agreement to use this software.
//
// jhyde, 6 August, 2001
*/

package mondrian.olap;

/**
 * todo:
 *
 * @author jhyde
 * @since 6 August, 2001
 * @version $Id: //guest/julian_hyde/mondrian/src/main/mondrian/olap/ConnectionBase.java#1 $
 **/
public abstract class ConnectionBase implements Connection
{
	public String getFullConnectString()
	{
		String s = getConnectString(),
			catalogName = getCatalogName();
		if (catalogName != null) {
			if (!s.endsWith(";")) {
				s += ";";
			}
			s += "Initial Catalog=" + catalogName + ";";
		}
		return s;
	}

	public Cube lookupCube(String cube,boolean failIfNotFound)
	{
		Cube mdxCube = lookupCube(cube);
		if (mdxCube == null && failIfNotFound)
			throw Util.getRes().newMdxCubeNotFound(cube);
		return mdxCube;
	}

	/**
	 * Finds a cube called 'cube' in the current catalog, or return null if no
	 * cube exists.
	 */
	protected abstract Cube lookupCube(String cube);

//  	interface ResultFormatter
//  	{
//  		void format(PrintWriter pw,Result result);
//  	};
}


// End ConnectionBase.java
